summaryrefslogtreecommitdiff
path: root/tests/rmdir/ignore
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1999-11-07 09:20:04 +0000
committerJim Meyering <jim@meyering.net>1999-11-07 09:20:04 +0000
commit30fc70c376a2856d796b6a0cb85d7ebb013a911b (patch)
treebb8b6de36e27abb819a8418db9ea32cc966ab8ad /tests/rmdir/ignore
parent65851e8c387a30df0190b84a9b4d058e86cca776 (diff)
downloadcoreutils-30fc70c376a2856d796b6a0cb85d7ebb013a911b.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/rmdir/ignore')
-rwxr-xr-xtests/rmdir/ignore26
1 files changed, 26 insertions, 0 deletions
diff --git a/tests/rmdir/ignore b/tests/rmdir/ignore
new file mode 100755
index 000000000..645f46582
--- /dev/null
+++ b/tests/rmdir/ignore
@@ -0,0 +1,26 @@
+#!/bin/sh
+# make sure rmdir's --ignore-fail-on-non-empty option works
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rmdir --version
+fi
+
+tmp=rmdir.$$
+trap "rm -rf $tmp" 0 1 2 3 15
+
+
+test_failure=0
+mkdir -p $tmp/a/b $tmp/x || test_failure=1
+
+if test $test_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ exit 1
+fi
+
+fail=0
+rmdir -p --ignore-fail-on-non-empty $tmp/a/b || fail=1
+test -d $tmp/x || fail=1
+test -d $tmp/b && fail=1
+
+exit $fail